#
# spec file for package python-munch
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-munch
Version:        2.3.2
Release:        2.1
Summary:        A dot-accessible dictionary
License:        MIT
Group:          Development/Languages/Python
URL:            http://github.com/Infinidat/munch
Source:         https://files.pythonhosted.org/packages/source/m/munch/munch-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-six
BuildArch:      noarch
# SECTION test requirements
BuildRequires:  %{python_module six}
# /SECTION
%python_subpackages

%description
A dot-accessible dictionary (a la JavaScript objects).

%prep
%setup -q -n munch-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%license LICENSE.txt
%doc README.md
%{python_sitelib}/*

%changelog
* Thu Dec  6 2018 tbechtold@suse.com
  update to version 2.3.2:
  * Add __dict__ property that calls toDict()
  * Limit travis deployment conditions
  * Implement the pickling interface
  * Use flat dicts in __getstate__ (closes #30)
  * Ignore pytest cache
  * __setattr__ will now munchify() any provided dict
  * AutoMunch for automatically converting dicts to Munches
  * Drop support for 2.6, 3.3, 3.4
  * Build python wheels
  * Avoid running yaml tests when in no-deps environment
  * Drop support for Python 2.6, 3.3, 3.4
  * Fix lint in init
  * Ignore flycheck files
  * Drop the dot in pytest invocation
  * Clear and update dict
  * Make DefaultFactoryMunch which lets users provide a factory to
    generate missing values
  * Bump version
  * Remove default from constructor and fromDict. Also add a test for repr
* Tue Dec  4 2018 mcepl@suse.com
- Remove superfluous devel dependency for noarch package
* Mon Feb 12 2018 tbechtold@suse.com
- Initial packaging (version 2.2.0)
